LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Namespaces | Functions
Map.hxx File Reference
`#include "uno/mapping.hxx"`

Go to the source code of this file.

## Namespaces
| cppu

## Functions
template<class T >
T * | cppu::mapOut (T *pT, css::uno::Environment const &outerEnv)
| Helpers for mapping objects relative to the current environment. More...
template<class T >
T * | cppu::mapIn (T *pT, css::uno::Environment const &outerEnv)
| Maps an object from an outer Environment to the current, returns mapped object. More...
void | cppu::mapOutAny (css::uno::Any const &any, css::uno::Any *res, css::uno::Environment const &outerEnv)
| Maps an any from the current to an outer Environment, fills passed any. More...
void | cppu::mapInAny (css::uno::Any const &any, css::uno::Any *res, css::uno::Environment const &outerEnv)
| Maps an any from an outer Environment to the current, fills passed any. More...